.blogs--page{
    /* max-width: 920px;
    margin: 0 auto; */
    width: 100%;
    /* height: 100vh; */
    padding-bottom: 2rem;
    background-color: #F5F5F5;
}

.blogs--page h1{
    padding: 0;
    margin: 0;
    font-weight: 300;
    /* text-transform: uppercase; */
}
.blogs--page h1 span{
    color: #F05A28;
}
.blogs--page h2{
    padding: 0;
    margin: 0;
    font-weight: 300;
    /* text-transform: uppercase; */
}
.blogs--page h2 span{
    color: #F05A28;
}
.blogs--page p{
    font-weight: 300;
    margin: 0;
    padding: 0;
}



/* 
 *  Hero Section Start
*/
.blogs--page .section-hero{
    width: 100%;
    /* height: 300px; */
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* background-color: antiquewhite; */
    padding: 112px 25px;
    background-image: url(../images/hero-banner.png);
    background-position: center;
    background-size: cover;
    color:#fff;

}
.blogs--page .section-hero h1{
    text-align: center;
    margin-bottom: 5px;
}
.blogs--page .section-hero p{
    max-width: 500px;
    text-align: center;
    line-height: 140%;
}
.blogs--page .section-hero .blog-input-bar{
    position: relative;
    margin-top: 20px;
}

.blogs--page .section-hero .blog-input-bar .main-box-links{
    position: absolute;
    width: 500px;
    height: auto;
    top: 21px;
    left: 0;
    right: 0;
    padding-top: 35px;
    background-color: #fff;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    padding-bottom: 10px;
    overflow: hidden;
}
.blogs--page .section-hero .blog-input-bar .main-box-links ul{


    max-height: 200px;
    /* bottom: -300px; */

    padding: 0;
    margin: 0;
    /* padding-bottom: 15px; */

    overflow: hidden;
    overflow-y: auto;
}
.blogs--page .section-hero .blog-input-bar .main-box-links ul li{
    list-style: none;
    margin: 0;
}
.blogs--page .section-hero .blog-input-bar .main-box-links ul li a{
    width: 500px;
    display: block;
    padding: 10px 15px;
    /* background-color: #777; */
    font-size: 14px;
    color: #000;
    transition: 200ms !important;
    margin-bottom: 2px;
}
.blogs--page .section-hero .blog-input-bar .main-box-links ul li a:hover{
    background-color: #e5e5e5;
}
.none-lnks{
    width: 100%;
    height: 30px;
    color: #a5a5a5;
    font-size: 14px;
    text-align: center;
    /* background-color: #8c8a8a; */
    display: flex;
    /* align-items: center; */
    justify-content: center;
}
.blogs--page .section-hero .blog-input-bar input{
    width: 500px;
    height: 48px;
    background-color: #fff;
    border-radius: 55px;
    border: none;
    outline: none;
    color: #000;
    padding: 5px 20px;
    padding-right: 105px;
    position: relative;
    z-index: 2;
}
.blogs--page .section-hero .blog-input-bar input::placeholder{
    color: #7a7a7a;
}
.blogs--page .section-hero .blog-input-bar button{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 5px;
    /* width: 41px; */
    height: 39px;
    padding: 3px 28px;
    background-color: #F05A28;
    color: #fff;
    font-size: 15px;
    border-radius: 55px;
    outline: none;
    border: none;
    cursor: pointer;
    font-weight: 200 !important;
    z-index: 2;
}  
@media (max-width: 560px) {
    .blogs--page .section-hero .blog-input-bar input{
        width: 350px;
        padding-right: 120px;
    }
    .blogs--page .section-hero .blog-input-bar .main-box-links ul li a,
    .blogs--page .section-hero .blog-input-bar .main-box-links{
        width: 350px;
    }
}
@media (max-width: 382px) {
    .blogs--page .section-hero .blog-input-bar input{
        width: 100%;
    }
    .blogs--page .section-hero .blog-input-bar .main-box-links ul li a,
    .blogs--page .section-hero .blog-input-bar .main-box-links{
        width: 100%;
    }
}
/* 
 *   Hero Section End
*/



/* 
 *  Topic Section Start
*/
.blogs--page__section-topics{
    max-width: 910px;
    margin: 0 auto;
    padding: 65px 25px;
    display: flex;
    align-items: center;
    flex-direction: column;
    /* justify-content: center; */
    /* background-color: aquamarine; */

}
.blogs--page__section-topics h2{
    margin-bottom: 5px;
}
.blogs--page__section-topics__main{
    display: flex;
    width: 100%;
    align-items: center;
    gap: 25px;
    margin-top: 35px;
    position: relative;
}
.blogs--page__section-topics__main .topic-vector{
    position: absolute;
    top: -2rem;
    left: -14rem;
    z-index:1;
    height: 420px;
}
.blogs--page__section-topics__main--img{
    width: 40%;
    position: relative;
    z-index: 2;
}
.blogs--page__section-topics__main--img img{
    width: 95%;
}
.blogs--page__section-topics__main--con{
    width: 60%;
    position: relative;
    z-index: 2;
}
.blogs--page__section-topics__main--con .topic-blog-box{
    width: 100%;
    /* height: 120px; */
    padding: 11px;
    border-radius: 10px;
    border: 1px solid #00000025;
    display: flex;
    gap: 25px;
    margin-bottom: 15px;
    background-color: #fff;
}
.blogs--page__section-topics__main--con .topic-blog-box img{
    min-width: 103px;
    height: 103px;
    border-radius: 8px;
    object-fit: cover;
    object-position: center;
    display: block;

}
.blogs--page__section-topics__main--con .topic-blog-box .topic-blog-box__detail{
    display: flex;
    flex-direction: column;
    width: 100%;
}
.blogs--page__section-topics__main--con .topic-blog-box .topic-blog-box__detail .topic-blog__detail--head{
    display: flex;
    gap: 10px;
    align-items: center;
    margin-bottom: 10px;
}
.blogs--page__section-topics__main--con .topic-blog-box .topic-blog-box__detail .topic-blog__detail--head span{
    padding: 3px 11px;
    font-size: 14px;
    border-radius: 4px;
    color: #fff;
    background-color: #F05A28;

}
.blogs--page__section-topics__main--con .topic-blog-box .topic-blog-box__detail .topic-blog__detail--head p{
    font-size: 14px;
    color: #000; 
    opacity: .6;
}
.blogs--page__section-topics__main--con .topic-blog-box .topic-blog-box__detail .topic-blog__detail--foo{
    width: 100%;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-between;
}
.blogs--page__section-topics__main--con .topic-blog-box .topic-blog-box__detail .topic-blog__detail--foo p{
    width: 100%;
    line-height: 140%;
    margin-bottom: 5px;
    font-size: 15px;
    color: #000;
    display: -webkit-box;
    -webkit-line-clamp: 2;   /* number of lines */
    -webkit-box-orient: vertical;
    overflow: hidden;

}
.blogs--page__section-topics__main--con .topic-blog-box .topic-blog-box__detail .topic-blog__detail--foo .a-llnk{
    color: #F05A28;
    text-decoration: none;
    font-size: 12px;
    align-self: flex-end;
}
@media (max-width: 910px) {
    .blogs--page__section-topics__main--img{
        display: none;
    }
    .blogs--page__section-topics__main--con{
        width: 100%;
    }
}
/* 
 *  Topic Section End
*/



/* 
 *  Blogs Section Start
*/
.blogs--page__section-all-blogs{
    max-width: 910px;
    margin: 0 auto;
    padding: 65px 25px;
    display: flex;
    align-items: center;
    flex-direction: column;
    /* justify-content: center; */
    /* background-color: aquamarine; */
}
.blogs--page__section-all-blogs h2{
    margin-bottom: 5px;
}
.blg-category-list-nav{
    /* max-width: 600px; */
    /* height: 55px; */
    border-radius: 66px;
    padding: 8px 8px;
    background-color: #fff;
    border: 1px solid #7a7a7a2a;
    display: flex;
    align-items: center;
    gap: 5px;
    margin-top: 20px;
}
.blg-category-list-nav button{
    padding: 10px 20px;
    /* background-color: #F05A28; */
    background-color: transparent;
    border-radius: 60px;
    font-size: 14px;
    font-weight: 300;
    color: #0000005c;
    border: none;
    cursor: pointer;
    width: fit-content !important;
}
.blg-category-list-nav button:hover{
    color: #000;
}
.blg-category-list-nav .btn-active-blg{
    background-color: #F05A28;
    color: #fff;
}
.blg-category-list-nav .btn-active-blg:hover{
    color: #fff;
}
.blg-category-blogs-con{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 15px;
    row-gap: 25px;
    margin-top: 25px;
}
.blg-category-blogs-con-box{
    background-color: #fff;
    padding: 15px;
    border: 1px solid #7a7a7a29;
    border-radius: 10px;
    padding-bottom: 20px;

}
.blg-category-blogs-con-box .blg-cb-img{
    border-radius: 8px;
    height: 150px;
    width: 100%;
    object-fit: cover;
    object-position: center;
    /* background-color: #000; */
}
.blg-category-blogs-con-box .blg-cb-main{
    display: flex;
    flex-direction: column;
    justify-content: space-between;

}
.blg-category-blogs-con-box .blg-cb-main .blg-cb-main-head{
    display: flex;
    flex-direction: column;
}
.blg-category-blogs-con-box .blg-cb-main .blg-cb-main-head div{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-block: 10px;
}
.blg-category-blogs-con-box .blg-cb-main .blg-cb-main-head div span{
    padding: 3px 11px;
    font-size: 14px;
    border-radius: 4px;
    color: #fff;
    background-color: #F05A28;
}
.blg-category-blogs-con-box .blg-cb-main .blg-cb-main-head div .blg-cb-p{
    opacity: .6;
    font-size: 14px;
    color: #000;
}
.blg-category-blogs-con-box .blg-cb-main .blg-cb-main-head h4{
    font-size: 20px;
    font-weight: 300;
    margin: 0;
    margin-bottom: 8px;
    display: -webkit-box;
    -webkit-line-clamp: 1;   /* number of lines */
    -webkit-box-orient: vertical;
    color: #000;
    overflow: hidden;
}
.blg-category-blogs-con-box .blg-cb-main .blg-cb-main-head .blg-cb-p-o{
    font-size: 14px;
    display: -webkit-box;
    -webkit-line-clamp: 2;   /* number of lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    margin-bottom: 8px;
    color: #000;
}
.blg-category-blogs-con-box .blg-cb-main .blg-cb-main-foo{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 12px;
    justify-self: flex-end;
}
.blg-category-blogs-con-box .blg-cb-main .blg-cb-main-foo p{
    font-size: 14px;
    color: #000;
}
.blg-category-blogs-con-box .blg-cb-main .blg-cb-main-foo a{
    color: #F05A28;
    text-decoration: none;
    font-size: 12px;
    align-self: flex-end;
}
.blogs--page__section-all-blogs #blg-select{
    display: none;
}
@media (max-width: 910px) {
    .blg-category-blogs-con{
        grid-template-columns: 1fr 1fr;
    }
}
@media (max-width: 820px) {
    .blogs--page__section-all-blogs #blg-select{
        display: block;
        margin-top: 25px;
    }
    .blg-category-list-nav{
        display: none;
    }
}
@media (max-width: 692px) {
    .blg-category-blogs-con{
        grid-template-columns: 1fr;
    }
}
/* 
 *  Blogs Section End
*/




/* 
 *
 *  Blog Detail Styles Start
 *  
*/
.blog--detail{
    /* max-width: 920px;
    margin: 0 auto; */
    width: 100%;
    /* height: 100vh; */
    padding-bottom: 2rem;
    background-color: #F5F5F5;
}
.blog--detail h1{
    padding: 0;
    margin: 0;
    font-weight: 300;
    /* text-transform: uppercase; */
}
.blog--detail h1 span{
    color: #F05A28;
}
.blog--detail h2{
    padding: 0;
    margin: 0;
    font-weight: 300;
    /* text-transform: uppercase; */
}
.blog--detail h2 span{
    color: #F05A28;
}
.blog--detail p{
    font-weight: 300;
    margin: 0;
    padding: 0;
}


.blog--detail .blog-detail--hero{
    max-width: 910px;
    padding-block: 80px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    gap: 25px;
    padding-inline: 25px;
    align-items: center;
    position: relative;
}
.blog--detail .blog-detail--hero .mesh-vec{
    position: absolute;
    top: -3rem;
    /* z-index: -1; */
    left: -2rem;   
    height: 500px;
    opacity: .7;

}
.blog--detail .blog-detail--hero .blog-detail--hero--detail{
    width: 50%;
    position: relative;
    z-index: 2;
}
.blog--detail .blog-detail--hero .blog-detail--hero--image{
    width: 50%;
}
.blog--detail .blog-detail--hero .blog-detail--hero--image img{
    width: 90%;
    border-radius: 20px;
}
@media (max-width: 692px) {
    .blog--detail .blog-detail--hero .blog-detail--hero--detail{
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        row-gap: 15px;
    }
    .blog--detail .blog-detail--hero .blog-detail--hero--image{
        display: none;
    }
}

.blog--detail .blog-detail--content{
    max-width: 710px;
    margin: 0 auto;
    padding: 80px 25px;
    padding-top: 50px;
    display: flex;
    flex-direction: column;
    row-gap: 25px;
    /* align-items: center;
    justify-content: center; */
    position: relative;
    padding-bottom: 120px;
}
.blog--detail .blog-detail--content h2, .blog--detail .blog-detail--content p{
    max-width: 750px;
}
.blog--detail .blog-detail--content p{
    text-align: justify;
    /* text-align-last: center; */
}

.blog-detail--closing{
    width: 100%;
    margin-top: 80px;
}
.blog-detail--closing .line{
    width: 100%;
    height: 110px; /* adjust as needed */
    background-image: url("../../images/bg-orange-tire.gif");
    background-repeat: repeat-x; /* repeat horizontally */
    background-position: left top;
    background-size: auto 100%; /* keeps full height */
    position: relative;
}
.blog-detail--closing .line img{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    border-radius: 20px;
    width: 420px;


}

.blog-detail--closing-main{
    max-width: 910px;
    margin: 0 auto;

    padding-block: 112px;
    padding-top: 180px;
    padding-inline: 25px;

}
.blog-detail--closing-main .ovr{
    padding: 50px;
    border-left: 3px solid #F05A28;
    background-color: #f05a2813;
    margin-block: 40px;
}
@media (max-width: 452px) {
    .blog-detail--closing-main .ovr{
        padding: 25px;
    }
    .blog-detail--closing .line img{
        width: 85%;


    }

}

.blog-detail--others{
    max-width: 910px;
    margin: 0 auto;
    padding-inline: 25px;
}
/* 
 *
 *  Blog Detail Styles End
 *  
*/

